/*-
 * ~~~~~~licensing~~~~~~
 * init-manager
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.platform.runtime.core.initializer.api;

public class InitializerException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7112390630151310687L;

	protected long bundleId;
	protected String bundleName;
	protected String initializerId;
	protected String description;
	
	public InitializerException(Initializer initializer, String message, String description, Throwable cause) {
		super(message, cause);
		this.bundleId = initializer.getBundleId();
		this.bundleName = initializer.getBundleName();
		this.initializerId = initializer.getInitializerId();
		this.description = description;
	}

	public long getBundleId() {
		return bundleId;
	}

	public String getBundleName() {
		return bundleName;
	}

	public String getInitializerId() {
		return initializerId;
	}

	public String getDescription() {
		return description;
	}

}
